package com.steering.pss.sale.order.model;

/**
 * 数据库表PLN_SALEORD_PROC所对应的实体类（生成工具：代码生成器3.0）
 * @author Chenxi-PC2   date 2015-12-22
 */
@SuppressWarnings("serial")
public class PlnSaleordProcEntity implements java.io.Serializable {
    /**
     * 交货编码PK（备料需求号）
     */
    private String ordLnDlyPk = "";
    /**
     * 排产流水号
     */
    private String plnDivideId = "";
    /**
     * 合同来源（销售合同、备料需求、补量需求）
     */
    private String orderSource = "";
    /**
     * 合同号
     */
    private String orderNo = "";
    /**
     * 合同行号
     */
    private String orderSeq = "";
    /**
     * 交货编码
     */
    private String deliveryNo = "";
    /**
     * 补量要求编码
     */
    private String rNumId = "";
    /**
     * 产品规范码
     */
    private String psc = "";
    /**
     * 工艺文件号
     */
    private String craftFileNo = "";
    /**
     * 工艺文件责任人
     */
    private String craftFileMan = "";
    /**
     * 冶金规范码
     */
    private String msc = "";
    /**
     * 制程索引号
     */
    private String indexSeq = "";
    /**
     * 成品工序号（全程途径码）
     */
    private String processSeq = "";
    /**
     * 默认BOM
     */
    private String bom = "";
    /**
     * 钢种可选
     */
    private String gradecodeAll = "";
    /**
     * 钢种默认
     */
    private String gradecode = "";
    /**
     * 管加工是否确认
     */
    private String gIsOk = "";
    /**
     * 加工组
     */
    private String groupJgx = "";
    /**
     * 热处理是否确认    
     */
    private String fIsOk = "";
    /**
     * 热处理组
     */
    private String groupRcl = "";
    /**
     * 轧管机组可选
     */
    private String groupRollAll = "";
    /**
     * 默认轧管机组编号
     */
    private String groupRoll = "";
    /**
     * 变径类型
     */
    private String bjType = "";
    /**
     * 镦拔扩投入物料编码
     */
    private String eInMaterialNo = "";
    /**
     * 镦拔扩投入物料描述
     */
    private String eInMaterialDesc = "";
    /**
     * 原料管外径
     */
    private String dimaterYlg = "";
    /**
     * 原料管壁厚
     */
    private String heightYlg = "";
    /**
     * 成品物料编码
     */
    private String materialNo = "";
    /**
     * 成品物料描述
     */
    private String materialDesc = "";
    /**
     * 坯料属性（锻坯、轧批、铸坯）
     */
    private String stuffProperty = "";
    /**
     * 钢种是否确认
     */
    private String gradecodeIsOk = "";
    /**
     * 轧管是否确认
     */
    private String dIsOk = "";
    /**
     * 镦拔扩是否确认
     */
    private String eIsOk = "";
    /**
     * 成品米单重
     */
    private String weightPerM = "";
    /**
     * 分配重量
     */
    private String planWtD = "";
    /**
     * 分配支数
     */
    private String planNumD = "";
    /**
     * 成品完成重量
     */
    private String finishWt = "";
    /**
     * 是否变更排产
     */
    private String ifChange = "";
    /**
     * 初始分配量
     */
    private String planWtBegin = "";
    /**
     * 初始分配支
     */
    private String planNumBegin = "";
    /**
     * 排产状态(1计划,2已下发,3生产中,4生产完成,5关闭,6取消)
     */
    private String planstatus = "";
    /**
     * 是否允许下发（1-是，0-否）
     */
    private String ifAllowIssue = "";
    /**
     * 下发时间
     */
    private String issuedTime = "";
    /**
     * 下发人
     */
    private String issuedMan = "";
    /**
     * 内控公差壁厚下限（%）
     */
    private String heightNkMin = "";
    /**
     * 内控公差壁厚上限（%）
     */
    private String heightNkMax = "";
    /**
     * 分配订货量
     */
    private String orderQtyD = "";
    /**
     * 订货计量单位
     */
    private String orderUnit = "";
    /**
     * 目标轧管转移长度
     */
    private String aimLenRoll = "";
    /**
     * 目标成品长度
     */
    private String aimLenEnd = "";
    /**
     * 管体排产量(投料原则)
     */
    private String planPMain = "";
    /**
     * 分配总长（米）
     */
    private String planTotLenD = "";
    /**
     * 单坯产出成品总长
     */
    private String totLenOneP = "";
    /**
     * 单坯分切数
     */
    private String cutNumP = "";
    /**
     * 工艺序号
     */
    private String craftSeq = "";
    /**
     * 工艺文件版本号（工艺文件号相同时，取最大的版本号+1）
     */
    private String craftNoV = "";
    /**
     * 控制壁厚（mm）
     */
    private String aimWallthick = "";
    /**
     * 轧制长度（m）
     */
    private String rollLength = "";
    /**
     * 工艺文件更新状态(0无更新、1待替换、2已替换) 
     */
    private String craftRenewSt = "";
    /**
     * 新工艺文件号
     */
    private String craftNoNew = "";
    /**
     * 新工艺文件版本号
     */
    private String craftNoVNew = "";

    /**
     * 交货编码PK（备料需求号）
     * @return value
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * 交货编码PK（备料需求号）
     * @param ordLnDlyPk value
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 排产流水号
     * @return value
     */
    public String getPlnDivideId() {
        return plnDivideId;
    }

    /**
     * 排产流水号
     * @param plnDivideId value
     */
    public void setPlnDivideId(String plnDivideId) {
        this.plnDivideId = plnDivideId;
    }

    /**
     * 合同来源（销售合同、备料需求、补量需求）
     * @return value
     */
    public String getOrderSource() {
        return orderSource;
    }

    /**
     * 合同来源（销售合同、备料需求、补量需求）
     * @param orderSource value
     */
    public void setOrderSource(String orderSource) {
        this.orderSource = orderSource;
    }

    /**
     * 合同号
     * @return value
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 合同号
     * @param orderNo value
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 合同行号
     * @return value
     */
    public String getOrderSeq() {
        return orderSeq;
    }

    /**
     * 合同行号
     * @param orderSeq value
     */
    public void setOrderSeq(String orderSeq) {
        this.orderSeq = orderSeq;
    }

    /**
     * 交货编码
     * @return value
     */
    public String getDeliveryNo() {
        return deliveryNo;
    }

    /**
     * 交货编码
     * @param deliveryNo value
     */
    public void setDeliveryNo(String deliveryNo) {
        this.deliveryNo = deliveryNo;
    }

    /**
     * 补量要求编码
     * @return value
     */
    public String getRNumId() {
        return rNumId;
    }

    /**
     * 补量要求编码
     * @param rNumId value
     */
    public void setRNumId(String rNumId) {
        this.rNumId = rNumId;
    }

    /**
     * 产品规范码
     * @return value
     */
    public String getPsc() {
        return psc;
    }

    /**
     * 产品规范码
     * @param psc value
     */
    public void setPsc(String psc) {
        this.psc = psc;
    }

    /**
     * 工艺文件号
     * @return value
     */
    public String getCraftFileNo() {
        return craftFileNo;
    }

    /**
     * 工艺文件号
     * @param craftFileNo value
     */
    public void setCraftFileNo(String craftFileNo) {
        this.craftFileNo = craftFileNo;
    }

    /**
     * 工艺文件责任人
     * @return value
     */
    public String getCraftFileMan() {
        return craftFileMan;
    }

    /**
     * 工艺文件责任人
     * @param craftFileMan value
     */
    public void setCraftFileMan(String craftFileMan) {
        this.craftFileMan = craftFileMan;
    }

    /**
     * 冶金规范码
     * @return value
     */
    public String getMsc() {
        return msc;
    }

    /**
     * 冶金规范码
     * @param msc value
     */
    public void setMsc(String msc) {
        this.msc = msc;
    }

    /**
     * 制程索引号
     * @return value
     */
    public String getIndexSeq() {
        return indexSeq;
    }

    /**
     * 制程索引号
     * @param indexSeq value
     */
    public void setIndexSeq(String indexSeq) {
        this.indexSeq = indexSeq;
    }

    /**
     * 成品工序号（全程途径码）
     * @return value
     */
    public String getProcessSeq() {
        return processSeq;
    }

    /**
     * 成品工序号（全程途径码）
     * @param processSeq value
     */
    public void setProcessSeq(String processSeq) {
        this.processSeq = processSeq;
    }

    /**
     * 默认BOM
     * @return value
     */
    public String getBom() {
        return bom;
    }

    /**
     * 默认BOM
     * @param bom value
     */
    public void setBom(String bom) {
        this.bom = bom;
    }

    /**
     * 钢种可选
     * @return value
     */
    public String getGradecodeAll() {
        return gradecodeAll;
    }

    /**
     * 钢种可选
     * @param gradecodeAll value
     */
    public void setGradecodeAll(String gradecodeAll) {
        this.gradecodeAll = gradecodeAll;
    }

    /**
     * 钢种默认
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种默认
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 管加工是否确认
     * @return value
     */
    public String getGIsOk() {
        return gIsOk;
    }

    /**
     * 管加工是否确认
     * @param gIsOk value
     */
    public void setGIsOk(String gIsOk) {
        this.gIsOk = gIsOk;
    }

    /**
     * 加工组
     * @return value
     */
    public String getGroupJgx() {
        return groupJgx;
    }

    /**
     * 加工组
     * @param groupJgx value
     */
    public void setGroupJgx(String groupJgx) {
        this.groupJgx = groupJgx;
    }

    /**
     * 热处理是否确认    
     * @return value
     */
    public String getFIsOk() {
        return fIsOk;
    }

    /**
     * 热处理是否确认    
     * @param fIsOk value
     */
    public void setFIsOk(String fIsOk) {
        this.fIsOk = fIsOk;
    }

    /**
     * 热处理组
     * @return value
     */
    public String getGroupRcl() {
        return groupRcl;
    }

    /**
     * 热处理组
     * @param groupRcl value
     */
    public void setGroupRcl(String groupRcl) {
        this.groupRcl = groupRcl;
    }

    /**
     * 轧管机组可选
     * @return value
     */
    public String getGroupRollAll() {
        return groupRollAll;
    }

    /**
     * 轧管机组可选
     * @param groupRollAll value
     */
    public void setGroupRollAll(String groupRollAll) {
        this.groupRollAll = groupRollAll;
    }

    /**
     * 默认轧管机组编号
     * @return value
     */
    public String getGroupRoll() {
        return groupRoll;
    }

    /**
     * 默认轧管机组编号
     * @param groupRoll value
     */
    public void setGroupRoll(String groupRoll) {
        this.groupRoll = groupRoll;
    }

    /**
     * 变径类型
     * @return value
     */
    public String getBjType() {
        return bjType;
    }

    /**
     * 变径类型
     * @param bjType value
     */
    public void setBjType(String bjType) {
        this.bjType = bjType;
    }

    /**
     * 镦拔扩投入物料编码
     * @return value
     */
    public String getEInMaterialNo() {
        return eInMaterialNo;
    }

    /**
     * 镦拔扩投入物料编码
     * @param eInMaterialNo value
     */
    public void setEInMaterialNo(String eInMaterialNo) {
        this.eInMaterialNo = eInMaterialNo;
    }

    /**
     * 镦拔扩投入物料描述
     * @return value
     */
    public String getEInMaterialDesc() {
        return eInMaterialDesc;
    }

    /**
     * 镦拔扩投入物料描述
     * @param eInMaterialDesc value
     */
    public void setEInMaterialDesc(String eInMaterialDesc) {
        this.eInMaterialDesc = eInMaterialDesc;
    }

    /**
     * 原料管外径
     * @return value
     */
    public String getDimaterYlg() {
        return dimaterYlg;
    }

    /**
     * 原料管外径
     * @param dimaterYlg value
     */
    public void setDimaterYlg(String dimaterYlg) {
        this.dimaterYlg = dimaterYlg;
    }

    /**
     * 原料管壁厚
     * @return value
     */
    public String getHeightYlg() {
        return heightYlg;
    }

    /**
     * 原料管壁厚
     * @param heightYlg value
     */
    public void setHeightYlg(String heightYlg) {
        this.heightYlg = heightYlg;
    }

    /**
     * 成品物料编码
     * @return value
     */
    public String getMaterialNo() {
        return materialNo;
    }

    /**
     * 成品物料编码
     * @param materialNo value
     */
    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    /**
     * 成品物料描述
     * @return value
     */
    public String getMaterialDesc() {
        return materialDesc;
    }

    /**
     * 成品物料描述
     * @param materialDesc value
     */
    public void setMaterialDesc(String materialDesc) {
        this.materialDesc = materialDesc;
    }

    /**
     * 坯料属性（锻坯、轧批、铸坯）
     * @return value
     */
    public String getStuffProperty() {
        return stuffProperty;
    }

    /**
     * 坯料属性（锻坯、轧批、铸坯）
     * @param stuffProperty value
     */
    public void setStuffProperty(String stuffProperty) {
        this.stuffProperty = stuffProperty;
    }

    /**
     * 钢种是否确认
     * @return value
     */
    public String getGradecodeIsOk() {
        return gradecodeIsOk;
    }

    /**
     * 钢种是否确认
     * @param gradecodeIsOk value
     */
    public void setGradecodeIsOk(String gradecodeIsOk) {
        this.gradecodeIsOk = gradecodeIsOk;
    }

    /**
     * 轧管是否确认
     * @return value
     */
    public String getDIsOk() {
        return dIsOk;
    }

    /**
     * 轧管是否确认
     * @param dIsOk value
     */
    public void setDIsOk(String dIsOk) {
        this.dIsOk = dIsOk;
    }

    /**
     * 镦拔扩是否确认
     * @return value
     */
    public String getEIsOk() {
        return eIsOk;
    }

    /**
     * 镦拔扩是否确认
     * @param eIsOk value
     */
    public void setEIsOk(String eIsOk) {
        this.eIsOk = eIsOk;
    }

    /**
     * 成品米单重
     * @return value
     */
    public String getWeightPerM() {
        return weightPerM;
    }

    /**
     * 成品米单重
     * @param weightPerM value
     */
    public void setWeightPerM(String weightPerM) {
        this.weightPerM = weightPerM;
    }

    /**
     * 分配重量
     * @return value
     */
    public String getPlanWtD() {
        return planWtD;
    }

    /**
     * 分配重量
     * @param planWtD value
     */
    public void setPlanWtD(String planWtD) {
        this.planWtD = planWtD;
    }

    /**
     * 分配支数
     * @return value
     */
    public String getPlanNumD() {
        return planNumD;
    }

    /**
     * 分配支数
     * @param planNumD value
     */
    public void setPlanNumD(String planNumD) {
        this.planNumD = planNumD;
    }

    /**
     * 成品完成重量
     * @return value
     */
    public String getFinishWt() {
        return finishWt;
    }

    /**
     * 成品完成重量
     * @param finishWt value
     */
    public void setFinishWt(String finishWt) {
        this.finishWt = finishWt;
    }

    /**
     * 是否变更排产
     * @return value
     */
    public String getIfChange() {
        return ifChange;
    }

    /**
     * 是否变更排产
     * @param ifChange value
     */
    public void setIfChange(String ifChange) {
        this.ifChange = ifChange;
    }

    /**
     * 初始分配量
     * @return value
     */
    public String getPlanWtBegin() {
        return planWtBegin;
    }

    /**
     * 初始分配量
     * @param planWtBegin value
     */
    public void setPlanWtBegin(String planWtBegin) {
        this.planWtBegin = planWtBegin;
    }

    /**
     * 初始分配支
     * @return value
     */
    public String getPlanNumBegin() {
        return planNumBegin;
    }

    /**
     * 初始分配支
     * @param planNumBegin value
     */
    public void setPlanNumBegin(String planNumBegin) {
        this.planNumBegin = planNumBegin;
    }

    /**
     * 排产状态(1计划,2已下发,3生产中,4生产完成,5关闭,6取消)
     * @return value
     */
    public String getPlanstatus() {
        return planstatus;
    }

    /**
     * 排产状态(1计划,2已下发,3生产中,4生产完成,5关闭,6取消)
     * @param planstatus value
     */
    public void setPlanstatus(String planstatus) {
        this.planstatus = planstatus;
    }

    /**
     * 是否允许下发（1-是，0-否）
     * @return value
     */
    public String getIfAllowIssue() {
        return ifAllowIssue;
    }

    /**
     * 是否允许下发（1-是，0-否）
     * @param ifAllowIssue value
     */
    public void setIfAllowIssue(String ifAllowIssue) {
        this.ifAllowIssue = ifAllowIssue;
    }

    /**
     * 下发时间
     * @return value
     */
    public String getIssuedTime() {
        return issuedTime;
    }

    /**
     * 下发时间
     * @param issuedTime value
     */
    public void setIssuedTime(String issuedTime) {
        this.issuedTime = issuedTime;
    }

    /**
     * 下发人
     * @return value
     */
    public String getIssuedMan() {
        return issuedMan;
    }

    /**
     * 下发人
     * @param issuedMan value
     */
    public void setIssuedMan(String issuedMan) {
        this.issuedMan = issuedMan;
    }

    /**
     * 内控公差壁厚下限（%）
     * @return value
     */
    public String getHeightNkMin() {
        return heightNkMin;
    }

    /**
     * 内控公差壁厚下限（%）
     * @param heightNkMin value
     */
    public void setHeightNkMin(String heightNkMin) {
        this.heightNkMin = heightNkMin;
    }

    /**
     * 内控公差壁厚上限（%）
     * @return value
     */
    public String getHeightNkMax() {
        return heightNkMax;
    }

    /**
     * 内控公差壁厚上限（%）
     * @param heightNkMax value
     */
    public void setHeightNkMax(String heightNkMax) {
        this.heightNkMax = heightNkMax;
    }

    /**
     * 分配订货量
     * @return value
     */
    public String getOrderQtyD() {
        return orderQtyD;
    }

    /**
     * 分配订货量
     * @param orderQtyD value
     */
    public void setOrderQtyD(String orderQtyD) {
        this.orderQtyD = orderQtyD;
    }

    /**
     * 订货计量单位
     * @return value
     */
    public String getOrderUnit() {
        return orderUnit;
    }

    /**
     * 订货计量单位
     * @param orderUnit value
     */
    public void setOrderUnit(String orderUnit) {
        this.orderUnit = orderUnit;
    }

    /**
     * 目标轧管转移长度
     * @return value
     */
    public String getAimLenRoll() {
        return aimLenRoll;
    }

    /**
     * 目标轧管转移长度
     * @param aimLenRoll value
     */
    public void setAimLenRoll(String aimLenRoll) {
        this.aimLenRoll = aimLenRoll;
    }

    /**
     * 目标成品长度
     * @return value
     */
    public String getAimLenEnd() {
        return aimLenEnd;
    }

    /**
     * 目标成品长度
     * @param aimLenEnd value
     */
    public void setAimLenEnd(String aimLenEnd) {
        this.aimLenEnd = aimLenEnd;
    }

    /**
     * 管体排产量(投料原则)
     * @return value
     */
    public String getPlanPMain() {
        return planPMain;
    }

    /**
     * 管体排产量(投料原则)
     * @param planPMain value
     */
    public void setPlanPMain(String planPMain) {
        this.planPMain = planPMain;
    }

    /**
     * 分配总长（米）
     * @return value
     */
    public String getPlanTotLenD() {
        return planTotLenD;
    }

    /**
     * 分配总长（米）
     * @param planTotLenD value
     */
    public void setPlanTotLenD(String planTotLenD) {
        this.planTotLenD = planTotLenD;
    }

    /**
     * 单坯产出成品总长
     * @return value
     */
    public String getTotLenOneP() {
        return totLenOneP;
    }

    /**
     * 单坯产出成品总长
     * @param totLenOneP value
     */
    public void setTotLenOneP(String totLenOneP) {
        this.totLenOneP = totLenOneP;
    }

    /**
     * 单坯分切数
     * @return value
     */
    public String getCutNumP() {
        return cutNumP;
    }

    /**
     * 单坯分切数
     * @param cutNumP value
     */
    public void setCutNumP(String cutNumP) {
        this.cutNumP = cutNumP;
    }

    /**
     * 工艺序号
     * @return value
     */
    public String getCraftSeq() {
        return craftSeq;
    }

    /**
     * 工艺序号
     * @param craftSeq value
     */
    public void setCraftSeq(String craftSeq) {
        this.craftSeq = craftSeq;
    }

    /**
     * 工艺文件版本号（工艺文件号相同时，取最大的版本号+1）
     * @return value
     */
    public String getCraftNoV() {
        return craftNoV;
    }

    /**
     * 工艺文件版本号（工艺文件号相同时，取最大的版本号+1）
     * @param craftNoV value
     */
    public void setCraftNoV(String craftNoV) {
        this.craftNoV = craftNoV;
    }

    /**
     * 控制壁厚（mm）
     * @return value
     */
    public String getAimWallthick() {
        return aimWallthick;
    }

    /**
     * 控制壁厚（mm）
     * @param aimWallthick value
     */
    public void setAimWallthick(String aimWallthick) {
        this.aimWallthick = aimWallthick;
    }

    /**
     * 轧制长度（m）
     * @return value
     */
    public String getRollLength() {
        return rollLength;
    }

    /**
     * 轧制长度（m）
     * @param rollLength value
     */
    public void setRollLength(String rollLength) {
        this.rollLength = rollLength;
    }

    /**
     * 工艺文件更新状态(0无更新、1待替换、2已替换) 
     * @return value
     */
    public String getCraftRenewSt() {
        return craftRenewSt;
    }

    /**
     * 工艺文件更新状态(0无更新、1待替换、2已替换) 
     * @param craftRenewSt value
     */
    public void setCraftRenewSt(String craftRenewSt) {
        this.craftRenewSt = craftRenewSt;
    }

    /**
     * 新工艺文件号
     * @return value
     */
    public String getCraftNoNew() {
        return craftNoNew;
    }

    /**
     * 新工艺文件号
     * @param craftNoNew value
     */
    public void setCraftNoNew(String craftNoNew) {
        this.craftNoNew = craftNoNew;
    }

    /**
     * 新工艺文件版本号
     * @return value
     */
    public String getCraftNoVNew() {
        return craftNoVNew;
    }

    /**
     * 新工艺文件版本号
     * @param craftNoVNew value
     */
    public void setCraftNoVNew(String craftNoVNew) {
        this.craftNoVNew = craftNoVNew;
    }
}
